/*
 * Copyright (c) 田梓萱[小草林] 2021-2024.
 * All Rights Reserved.
 * All codes are protected by China's regulations on the protection of computer software, and infringement must be investigated.
 * 版权所有 (c) 田梓萱[小草林] 2021-2024.
 * 所有代码均受中国《计算机软件保护条例》保护，侵权必究.
 */

part of flutter_ume_kit_perf_plus;

class Performance extends StatelessWidget implements Pluggable {
  @override
  Widget build(BuildContext context) {
    return Container(
        alignment: Alignment.topCenter,
        margin: const EdgeInsets.only(top: 20),
        child: SizedBox(
            child: PerformanceOverlay.allEnabled(),
            width: MediaQuery.of(context).size.width));
  }

  @override
  Widget buildWidget(BuildContext? context) => this;

  @override
  ImageProvider<Object> get iconImageProvider => MemoryImage(iconBytes);

  @override
  String get name => "性能信息";

  @override
  String get displayName => "性能信息";

  @override
  void onTrigger() {}
}
